summaryrefslogtreecommitdiffstats
path: root/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst34
1 files changed, 34 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..4b09374
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ configure)
+ if [ -d /etc/bash_completion.d ]; then
+ # let's remove old bash-completion conffiles
+ for f in $(find /etc/bash_completion.d/ -type f -name "*.dpkg-*"); do
+ dpkg-maintscript-helper rm_conffile ${f%.dpkg-*} 1:1.3-1 -- "$@"
+ done
+ fi
+
+ if dpkg --compare-versions "$2" le "1:2.1-3"; then
+ if [ -d /etc/bash_completion.d/helpers ]; then
+ rmdir --ignore-fail-on-non-empty /etc/bash_completion.d/helpers 2>/dev/null
+ fi
+ # disabled from Ubuntu, third party packages might have installed things here
+ #if [ -d /etc/bash_completion.d ]; then
+ # rmdir --ignore-fail-on-non-empty /etc/bash_completion.d 2>/dev/null
+ #fi
+ fi
+ ;;
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0